<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Bootstrap 4 Demo</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
</head>
<body>

<!--Navbar-->
<nav class="navbar navbar-expand-md bg-dark navbar-dark">
  <a class="navbar-brand" href="#">Logo</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="collapsibleNavbar">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" href="#">Home</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">About</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Services</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Contact</a>
      </li>    
    </ul>
  </div>  
</nav>

<!--Carousel-->
<div id="demo" class="carousel slide" data-ride="carousel">
  <ul class="carousel-indicators">
    <li data-target="#demo" data-slide-to="0" class="active"></li>
    <li data-target="#demo" data-slide-to="1"></li>
    <li data-target="#demo" data-slide-to="2"></li>
  </ul>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="https://via.placeholder.com/800x400?text=Slide+1" alt="Slide 1">
      <div class="carousel-caption">
        <h3>Slide 1</h3>
        <p>Description for slide 1.</p>
      </div>   
    </div>
    <div class="carousel-item">
      <img src="https://via.placeholder.com/800x400?text=Slide+2" alt="Slide 2">
      <div class="carousel-caption">
        <h3>Slide 2</h3>
        <p>Description for slide 2.</p>
      </div>   
    </div>
    <div class="carousel-item">
      <img src="https://via.placeholder.com/800x400?text=Slide+3" alt="Slide 3">
      <div class="carousel-caption">
        <h3>Slide 3</h3>
        <p>Description for slide 3.</p>
      </div>   
    </div>
  </div>
  <a class="carousel-control-prev" href="#demo" data-slide="prev">
    <span class="carousel-control-prev-icon"></span>
  </a>
  <a class="carousel-control-next" href="#demo" data-slide="next"></a>
  <span class="carousel-control-next-icon"></span>
</a>
</div>
<!--Bootstrap color-->
<div class="container-fluid">
  <div class="row">
    <div class="col-sm-4" style="background-color:#007bff;">
      <h3>Blue</h3>
      <p>This is a blue color.</p>
    </div>
    <div class="col-sm-4" style="background-color:#28a745;">
      <h3>Green</h3>
      <p>This is a green color.</p>
    </div>
    <div class="col-sm-4" style="background-color:#dc3545;">
      <h3>Red</h3>
      <p>This is a red color.</p>
    </div>
  </div>
</div>
</body>
</html>